Subject: RE: [Sip] PING/PONG

From: "Steve Langstaff" <[email-masked]>
Date: Wed, 10 Nov 2004 13:55:17 -0000

Fair enough.
 
I must have missed the description of PING/PONG messages were for.
 
I apologise.

-- 
Steve Langstaff. 

-----Original Message-----
From: Christian Stredicke [mailto:[email-masked]]
Sent: 10 November 2004 10:36
To: Steve Langstaff; Chris Boulton; Christer Holmberg (JO/LMF); [email-masked]
Cc: [email-masked]
Subject: RE: [Sip] PING/PONG

True. For that purpose, use e.g. INFO messages with no body. These messages keep the dialog "alive". 
 
However, the goal of the PING/PONG keep-alive messages is to keep the NAT-binding alive. So that you are able to receive the first INVITE!
 
CS

  _____  

From: [email-masked] [mailto:[email-masked]] On Behalf Of Steve Langstaff
Sent: Wednesday, November 10, 2004 5:16 AM
To: Christian Stredicke; Chris Boulton; Christer Holmberg (JO/LMF); [email-masked]
Cc: [email-masked]
Subject: RE: [Sip] PING/PONG

(CS) OPTIONS has the problem that it is relatively expensive (size and CPU) and might result in responses that exceed the UDP fragmentation limit (there are many DSL routers that treat UDP fragmentation as security problem including the one that I have at home). Therefore I think it would not hurt to have a specific message that is designed only for the keep-alive job.
 
...but if you want your keep alive message to be routed over the same path and transports as your original INVITE (and hence keep them alive), don't you need most of the "expensive" content of (say) the OPTIONS message - e.g. the vias.

-- 
Steve Langstaff. 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip